Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.0.0SynchronousAuth Required
CreateSNSFeiShuEndpoint
CreateSNSFeiShuEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
urlStringRequiredThe webhook URL of the FeiShu robot.
atAllBooleanOptional. Whether to notify all (@All) members in a FeiShu group.
atPersonUsersIdListOptional. The user id of the group member to be notified (the @member).
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
platformUuidStringThe notificatiin platform uuid.
resourceUuidStringOptional. The resource uuid.
tagUuidsListOptional. The tag uuid list.
secretStringOptional. The FeiShu secret key.
atPersonListMapOptional. The @person information. (Recommend)
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/feishu
/zstack/v1/sns/application-endpoints/feishu
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/feishu' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","atAll":true,"atPersonUsersId":["<atPersonUsersId>"],"name":"<name>","description":"<description>","platformUuid":"<platformUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"secret":"<secret>","atPersonList":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "url": "http://feishu-url", "atAll": false, "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:06:05 PM", "lastOpDate": "Dec 25, 2023 2:06:05 PM" } }Change History
This API has no change history records yet.
